using System.Collections; using System.Collections.Generic; using UnityEngine; using UnityEngine.SceneManagement;  public class MidopaController : MonoBehaviour {     Rigidbody2D rigidBody;     float jumpForce = 300.0f;     float maxJumpSpeed = 0.2f;     float walkForce = 30.0f;     float maxWalkSpeed = 2.0f;     Vector3 currentScale;     GameObject canvasObject;     Animator animator;      // Start is called before the first frame update     void Start()     {         this.rigidBody = GetComponent<Rigidbody2D>();         this.currentScale = transform.localScale;
        this.canvasObject = GameObject.FindWithTag("ui");
        this.animator = GetComponent<Animator>();     }      // Update is called once per frame     void Update()     {         int dir = 0;         if (Input.GetKey(KeyCode.RightArrow))         {             if (this.rigidBody.velocity.x < this.maxWalkSpeed)             {                 this.rigidBody.AddForce(transform.right * this.walkForce);             }             dir = 1;         }          if (Input.GetKey(KeyCode.LeftArrow))         {             if (this.rigidBody.velocity.x > -this.maxWalkSpeed)             {                 this.rigidBody.AddForce(transform.right * this.walkForce * -1);             }             dir = -1;         }          if (dir != 0)         {             transform.localScale = new Vector3(this.currentScale.x * dir,                                                  this.currentScale.y, this.currentScale.z);         }          float jumpSpeed = Mathf.Abs(this.rigidBody.velocity.y);         if (Input.GetKeyDown(KeyCode.Space))         {             if (jumpSpeed < this.maxJumpSpeed)             {                 this.rigidBody.AddForce(transform.up * this.jumpForce);
                this.animator.SetTrigger("jump");             }         }     }

    void OnTriggerEnter2D(Collider2D collision)     {         if (collision.gameObject.tag == "money")         {             Destroy(collision.gameObject);
            this.canvasObject.GetComponent<UIController>().GetMoney(100);
            GetComponent<AudioSource>().Play();         }         else if (collision.gameObject.tag == "flag")         {             this.canvasObject.GetComponent<UIController>().ClearSetup();             //Debug.Log("Game Clear");             SceneManager.LoadScene("ClearScene");         }         else if (collision.gameObject.tag == "daruma")         {             //Debug.Log("Game Over");
            SceneManager.LoadScene("OverScene");         }     } }
