using System.Collections; using System.Collections.Generic; using UnityEngine;  public class WanibonController : MonoBehaviour {     GameObject canvasObject;     Vector3 currentScale;     public AudioClip torpedoAudioClip;     public AudioClip bombAudioClip;      // Start is called before the first frame update     void Start()     {         this.canvasObject = GameObject.Find("Canvas");         this.currentScale = transform.localScale;     }      // Update is called once per frame     void Update()     {         int dir = 0;         if (Input.GetKeyDown(KeyCode.UpArrow))         {             if (transform.position.y < (4.36 - 1))             {                 transform.Translate(0, 1, 0);             }         }         else if (Input.GetKeyDown(KeyCode.DownArrow))         {             if (transform.position.y > (-4.36 + 1))             {                 transform.Translate(0, -1, 0);             }         }         else if (Input.GetKeyDown(KeyCode.LeftArrow))         {             if (transform.position.x > (-7.45 + 1))             {                 transform.Translate(-1, 0, 0);             }             dir = -1;         }         else if (Input.GetKeyDown(KeyCode.RightArrow))         {             if (transform.position.x < (7.45 - 1))             {                 transform.Translate(1, 0, 0);             }             dir = 1;         }         if (dir != 0)         {             transform.localScale = new Vector3(this.currentScale.x * dir, 
                        this.currentScale.y, this.currentScale.z);         }     }

    void OnTriggerEnter2D(Collider2D collision)     {
        //Debug.Log("衝突した！");
        //GetComponent<AudioSource>().Play();
        if (collision.gameObject.tag == "torpedotag")         {             GetComponent<AudioSource>().PlayOneShot(torpedoAudioClip);         }
        else if (collision.gameObject.tag == "bombtag")         {             GetComponent<AudioSource>().PlayOneShot(bombAudioClip);         }         this.canvasObject.GetComponent<UIController>().DecreaseHP(1);
        GetComponent<ParticleSystem>().Play();
        Destroy(collision.gameObject);     }
}
